Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.xml
Class ChildReceiverContext

    java.lang.Object
      com.servingxml.util.xml.AbstractReceiverContext
          com.servingxml.util.xml.ChildReceiverContext

All Implemented Interfaces:
  QnameFactory, ReceiverContext

    public class ChildReceiverContext

extends AbstractReceiverContext
implements ReceiverContext

Field Summary

Fields inherited from interface com.servingxml.util.xml.ReceiverContext
`UNDEFINED_SYMBOL`

Constructor Summary
`ChildReceiverContext(Name elementName, org.xml.sax.Attributes attributes, Dictionary<java.lang.String,java.lang.String> prefixMap, ReceiverContext parent)`

Method Summary
`javax.xml.datatype.DatatypeFactory` | `getDatatypeFactory()`
`int` | `getLevel()`
`Name` | `getParentElementName()`
`int` | `getParentElementSymbol()`

Methods inherited from class com.servingxml.util.xml.AbstractReceiverContext
`createChildContext, createName, getCurrentElementAttributes, getCurrentElementName, getCurrentElementSymbol, getNameTable, getPrefixMap, getSymbol`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.util.xml.ReceiverContext
`createChildContext, getCurrentElementAttributes, getCurrentElementName, getCurrentElementSymbol, getNameTable, getPrefixMap, getSymbol`

Methods inherited from interface com.servingxml.util.QnameFactory
`createName`

Constructor Detail

### ChildReceiverContext

    public ChildReceiverContext(Name elementName,
                                org.xml.sax.Attributes attributes,
                                Dictionary<java.lang.String,java.lang.String> prefixMap,
                                ReceiverContext parent)

Method Detail

### getParentElementSymbol

    public int getParentElementSymbol()

  Specified by:
    `getParentElementSymbol` in interface `ReceiverContext`

### getParentElementName

    public Name getParentElementName()

  Specified by:
    `getParentElementName` in interface `ReceiverContext`

### getLevel

    public int getLevel()

  Specified by:
    `getLevel` in interface `ReceiverContext`

### getDatatypeFactory

    public javax.xml.datatype.DatatypeFactory getDatatypeFactory()

  Specified by:
    `getDatatypeFactory` in interface `ReceiverContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD